import { ElementRef, Renderer2, OnInit, OnDestroy } from '@angular/core';
import { PickDirective } from './pick.directive';
import * as i0 from "@angular/core";
export declare class PickOptionDirective implements OnInit, OnDestroy {
    private element;
    private renderer;
    unoPick: PickDirective;
    role: string;
    get active(): boolean;
    set setValue(value: any);
    unoPickActiveClass: string;
    private _value;
    private _active;
    private _subscription;
    constructor(element: ElementRef, renderer: Renderer2, unoPick: PickDirective);
    pick(evt?: Event): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private _isActive;
    static ɵfac: i0.ɵɵFactoryDeclaration<PickOptionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PickOptionDirective, "[uno-pick-option]", ["unoPickOption"], { "setValue": "unoPickOption"; "unoPickActiveClass": "unoPickActiveClass"; }, {}, never>;
}
